# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(GPS/Point.pm) perl(Geo/Forward.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name GPS-Point-Filter
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Algorithm to filter extraneous GPS points
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MR/MRDVT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
GPS::Point::Filter uses a single pass linear algorithm to filter extraneous GPS points from a GPS feed.  The filter uses three tests to determine whether to trigger a callback or not.

The most common use for this type of algorithm is to intelligently reduce the number of points before transmission over a limited bandwidth network.  The filter properties will need to be tuned for particular networks and implementations.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes Todo README
%perl_vendor_privlib/G*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

